package main

import (
	"fmt"
	"os"
	"os/signal"
	"syscall"
)

func main() {
	stop := make(chan os.Signal, 1)
	signal.Notify(stop, syscall.SIGKILL, syscall.SIGINT)

	reload := make(chan os.Signal, 1)
	signal.Notify(reload, syscall.SIGHUP)

	go func() {
		for {
			<-reload
			fmt.Println("reload")
		}
	}()

	go func() {
		for {
			<-stop
			fmt.Println("stop")
			os.Exit(-1)
		}
	}()
	<-stop
}

// kill -HUP PID
// kill -KILL PID
